Bug 799521 - Review Request: azove - Another Zero-One Vertex Enumeration tool
Review Request: azove - Another Zero-One Vertex Enumeration tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 16:01 EST by Jerry James
Modified: 2012-09-23 23:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 23:25:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2012-03-02 16:01:54 EST
Spec URL: http://jjames.fedorapeople.org/azove/azove.spec
SRPM URL: http://jjames.fedorapeople.org/azove/azove-2.0-1.fc16.src.rpm
Description: Azove is a tool designed for counting (without explicit enumeration) and enumeration of 0/1 vertices.  Given a polytope by a linear relaxation or facet description P = {x | Ax <= b}, all 0/1 points lying in P can be counted or enumerated.  This is done by intersecting the polytope P with the unit-hypercube [0,1] d.  The integral vertices (no fractional ones) of this intersection will be enumerated.  If P is a 0/1 polytope, azove solves the vertex enumeration problem.  In fact it can also solve the 0/1 knapsack problem and the 0/1 subset sum problem.
Comment 1 Michael Scherer 2012-03-24 02:58:02 EDT
Hi,

rpmlint warn of :
azove.i686: E: non-standard-executable-perm /usr/bin/azove2 0775L

Otherwise, the package seems to be good enough to start a formal review, I am working on it.
Comment 2 Jerry James 2012-03-28 19:12:25 EDT
Hi Michael,

Thanks for taking this review.  The permission fix is trivial.  I'll take care of that along with any other issues you find.

I like your username.  I think the only better one I've ever seen was Patrice Godefroid, who used to be god@bell-labs.com.
Comment 3 Jerry James 2012-05-04 10:16:31 EDT
Michael, are you having some kind of problem with this review?  Is there something I can do to help?
Comment 4 Michael Scherer 2012-05-06 16:10:11 EDT
Sorry, forgot about it :/ . I am currently in holiday and will likely not be able to devote lots of time until next week.
Comment 5 Michael Scherer 2012-05-18 09:33:43 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Licenses found: "GPL (v2 or later) " For detailed output of
     licensecheck see file:
     /home/misc/checkout/git/FedoraReview/src/799521/licensecheck.txt
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint azove-2.0-1.fc18.src.rpm

azove.src: W: spelling-error %description -l en_US vertices -> cervices
azove.src: W: spelling-error %description -l en_US polytope -> polythene
azove.src: W: spelling-error %description -l en_US hypercube -> hyper cube, hyper-cube, hyperbole
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint azove-debuginfo-2.0-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint azove-2.0-1.fc18.i686.rpm

azove.i686: W: spelling-error %description -l en_US vertices -> cervices
azove.i686: W: spelling-error %description -l en_US polytope -> polythene
azove.i686: W: spelling-error %description -l en_US hypercube -> hyper cube, hyper-cube, hyperbole
azove.i686: E: non-standard-executable-perm /usr/bin/azove2 0775L
azove.i686: W: install-file-in-docs /usr/share/doc/azove-2.0/INSTALL
1 packages and 0 specfiles checked; 1 errors, 4 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/checkout/git/FedoraReview/src/799521/azove-2.0.tar.gz :
  MD5SUM this package     : 79549658a7f0a68128eb28e1145616b2
  MD5SUM upstream package : 79549658a7f0a68128eb28e1145616b2

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint azove-2.0-1.fc18.src.rpm

azove.src: W: spelling-error %description -l en_US vertices -> cervices
azove.src: W: spelling-error %description -l en_US polytope -> polythene
azove.src: W: spelling-error %description -l en_US hypercube -> hyper cube, hyper-cube, hyperbole
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint azove-debuginfo-2.0-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint azove-2.0-1.fc18.i686.rpm

azove.i686: W: spelling-error %description -l en_US vertices -> cervices
azove.i686: W: spelling-error %description -l en_US polytope -> polythene
azove.i686: W: spelling-error %description -l en_US hypercube -> hyper cube, hyper-cube, hyperbole
azove.i686: E: non-standard-executable-perm /usr/bin/azove2 0775L
azove.i686: W: install-file-in-docs /usr/share/doc/azove-2.0/INSTALL
1 packages and 0 specfiles checked; 1 errors, 4 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.2.0git
External plugins:


So, the package is good except the permission issue. Once you give a fix spec, i will approve the rpm
Comment 6 Michael Scherer 2012-07-20 04:21:39 EDT
Ping ?
Comment 7 Jerry James 2012-08-03 12:44:53 EDT
Sorry, $DAYJOB has been $DAYANDNIGHTJOB for the last few months.  Here are the new URLs:

Spec URL: http://jjames.fedorapeople.org/azove/azove.spec
SRPM URL: http://jjames.fedorapeople.org/azove/azove-2.0-2.fc18.src.rpm
Comment 8 Jerry James 2012-09-18 10:55:57 EDT
Hi Michael, it's my turn to ping you. :-)
Comment 9 Michael Scherer 2012-09-18 12:59:16 EDT
Seems ok, approved.
Comment 10 Jerry James 2012-09-18 16:39:58 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: azove
Short Description: Another Zero-One Vertex Enumeration tool
Owners: jjames
Branches: f17 f18
InitialCC:
Comment 11 Gwyn Ciesla 2012-09-18 17:13:03 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-09-18 17:52:40 EDT
azove-2.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/azove-2.0-2.fc17
Comment 13 Fedora Update System 2012-09-18 17:52:51 EDT
azove-2.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/azove-2.0-2.fc18
Comment 14 Fedora Update System 2012-09-20 02:01:48 EDT
azove-2.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 15 Fedora Update System 2012-09-23 23:25:31 EDT
azove-2.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.